/****************************************
	Callback functions -- callbacks.c
****************************************/
void RxCallback( purb_t purb );
void TxOkCB( purb_t purb );
void ctrl_callback(struct urb *purb);
void GetCmd_callback( purb_t purb);
/**************************************
	Commands functions -- command.c
**************************************/
int GetOpMode(PVNet_ADAPTER Adapter);
int GetHWCfg(PVNet_ADAPTER Adapter);
int GetMIBvalue(PVNet_ADAPTER Adapter, USHORT Mib, USHORT bytes);
int StartUp(PVNet_ADAPTER Adapter);
int GetCmdStatus(PVNet_ADAPTER Adapter, UCHAR CmdID);
int SetPreamble(PVNet_ADAPTER Adapter);
int SetFragThreshold(PVNet_ADAPTER Adapter);
int SetRTSThreshold(PVNet_ADAPTER Adapter);
void UsbSelectBSS(PVNet_ADAPTER Adapter);
int GetDFUState(PVNet_ADAPTER Adapter);
int GetDFUStatus(PVNet_ADAPTER Adapter);
int DownLoadInternal(PVNet_ADAPTER Adapter);
int DownLoadExternal(PVNet_ADAPTER Adapter);
int Remap(PVNet_ADAPTER Adapter);
int DFUdetach(PVNet_ADAPTER Adapter);
/*****************************
	linux_usb.c
*****************************/
void UpdateAppInfo(PVNet_ADAPTER Adapter, PDEVICE_CONFIGURATION pDevConfig);


void Ethernet2Wireless(PVNet_ADAPTER Adapter, PTX_LIST NewTxL);
/*****************************
	rx.c
*****************************/
int UsbRxInit(PVNet_ADAPTER Adapter);
void TimerExpired(ULONG a);
/*****************************
	tx.c
*****************************/
int SendReAssocRequest(PVNet_ADAPTER Adapter);
void DeQueueTxPacket(PVNet_ADAPTER Adapter);
void VNetDumpUrb (purb_t purb);
void DropPendingTxPackets(PVNet_ADAPTER Adapter);
static void usb_vnet_disconnect(struct usb_device *dev, void *ptr);
static void * usb_vnet_probe(struct usb_device *dev, UINT interface, const struct usb_device_id *id_table);

/**************************
	vnet.c
**************************/
void ChangeState(PVNet_ADAPTER Adapter, UCHAR State);
int InitDevice(PVNet_ADAPTER Adapter);
UCHAR AsciiToByte(UCHAR Ascii1, UCHAR Ascii2);

/**************************
	vnet_kernel.c
**************************/
int VNetAllocMem(void **Ptr, USHORT size);

